Subject: [Bier] Doc Shepherd Review Comments - draft-ietf-bier-non-mpls-bift-encoding

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Sat, 7 Sep 2019 02:27:14 +0000

Hi Authors,

I am the Doc shepherd for this draft. I believe that the document is well written but got some minor comments (mostly edits).

Please see below for some comments.

The Requirement notation seems incomplete. It should be as below:

"The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here."

“The IBU replaces the BSL and SD values as described in the
   encoding above.”

The above statement is not clear. Please clarify what is IBU replacing BSL+SD with?.

In section 5, it is not clear why the value should be 000. Is there any reason?. If not, I think it can simply refer the respective section in RFC 8296 (Section 2.1.1.2).

"TC: This is a 3-bit field set to 000 (following [RFC8296])".

Thanks,
Nagendra